<?php

/*
	Donne le répertoire de la page ouverte
	Ex: Page en cours : http://www.cnam.re/espace_personnel/eleve/index.php ; 
		Renvoie => eleve
*/

/*
function current_dir(){ 
    $directory = dirname($_SERVER['PHP_SELF']);
    $tab = explode('/', $directory);
	$dir_name = $tab[sizeof($tab)-1];
    return $dir_name;
}
*/

function dbresult_utf8( $result, $i, $field )
{
	if (mysql_numrows($result) <= $i)
	{
		echo "<br><b><font color='red'>Il s'est produit une erreur SQL : Acces a une ligne non existante.</font></b>";
		echo "<li><b>Date & Heure :</b> ".date("d/m/Y H:i")."</li>";
		echo "<li><b>Erreur : </b> Accès à une ligne non existante</li>";
		echo "<li><b>Ligne : </b> ".$i."</li>";
		echo "<li><b>Champs : </b> ".$field."</li>";
		echo "<li><b>Adresse IP : </b>".$_SERVER['REMOTE_ADDR']."</li>";
		echo "<li><b>Fichier : </b>".$_SERVER["REQUEST_URI"]."</li></ul>";
		echo "<b><font color='green'>Veuillez contacter votre informaticien.</font></b>";		

		$sql_query = "INSERT INTO log_sql_numrows (datetime,ligne,champ,id_personnel,adresse_ip_client,fichier)
			VALUES ('".date("Y-m-d H:i:s")."',
					'".$i."',
					'".$field."',
					'".$_SESSION['id_personnel']."',
					'".$_SERVER['REMOTE_ADDR']."',
					'".$_SERVER["PHP_SELF"]."')";
		dbquery($sql_query);
	}
	
	return utf8_encode(mysql_result( $result, $i, $field ));
}


?>